searchData={"content_type":"text/markdown","items":[{"doc":"Utility functions for config files.","ref":"SignificaUtils.Config.html","title":"SignificaUtils.Config","type":"module"},{"doc":"Fetches a required environment variable, given its name.\nNot only the env needs to exist, but also it must not be empty.","ref":"SignificaUtils.Config.html#fetch_env/1","title":"SignificaUtils.Config.fetch_env/1","type":"function"},{"doc":"Utility function to create release common tasks used in Ecto projects.","ref":"SignificaUtils.EctoReleaseTasks.html","title":"SignificaUtils.EctoReleaseTasks","type":"module"},{"doc":"```\ndefmodule SampleProject.ReleaseTasks do\n  use SignificaUtils.EctoReleaseTasks,\n    otp_app: :sample_app\nend\n\nCreates two public functions:\n\n- `migrate/0`: migrates all the repos to the latest version.\n- `rollback/2`: rolls back the repo to the specified version - `rollback(repo, version)`.\n\n```","ref":"SignificaUtils.EctoReleaseTasks.html#module-usage","title":"Usage - SignificaUtils.EctoReleaseTasks","type":"module"},{"doc":"Internal controller to be used by `SignificaUtils.HealthRouter`.","ref":"SignificaUtils.HealthController.html","title":"SignificaUtils.HealthController","type":"module"},{"doc":"Route handler that returns the version of the latest ecto migration (table `schema_migrations`).\nUses the `repo` specified when using `SignificaUtils.HealthRouter`.","ref":"SignificaUtils.HealthController.html#db_health/2","title":"SignificaUtils.HealthController.db_health/2","type":"function"},{"doc":"Route handler that always returns \"OK\"","ref":"SignificaUtils.HealthController.html#index/2","title":"SignificaUtils.HealthController.index/2","type":"function"},{"doc":"Route handler that returns the value of the `Application` env `:app_version` for the `otp_app`\nspecified when using `SignificaUtils.HealthRouter`.","ref":"SignificaUtils.HealthController.html#version/2","title":"SignificaUtils.HealthController.version/2","type":"function"},{"doc":"Simple all-in-one health router (with handlers).","ref":"SignificaUtils.HealthRouter.html","title":"SignificaUtils.HealthRouter","type":"module"},{"doc":"In you router, use `Phoenix.Router.html.forward/4` to use this router (or `match`).\n\n```\nforward \"/healthz\", SignificaUtils.HealthRouter,\n  repo: MyProject.Repo,\n  otp_app: :my_project\n```\n\nIt will create 3 routes under the specified prefix (`/healthz` in the example above):\n\n- `/`: Returns `OK` (we include content as it is sometimes strange to have zero length responses).\n- `/db`: Uses ecto and the provided `repo` to return the `version` of the latest Ecto migration.\n- `/version`: Returns the value of the `:app_version` env, specified in your `otp_app`.\n  Make sure you have used `Application.put_env/3` or defined the `app_version` in your configs:\n  ```\n  config :my_project,\n    app_version: \"1.2.3\"\n  ```","ref":"SignificaUtils.HealthRouter.html#module-usage","title":"Usage: - SignificaUtils.HealthRouter","type":"module"},{"doc":"# Significa Elixir Utils\n\nA collection of Elixir functions, utilities and configurations used across Significa's projects.\n\n[![significa-utils on hex.pm](https://img.shields.io/hexpm/v/significa_utils?style=flat)][hexpm]\n[![significa-utils documentation](https://img.shields.io/badge/hex.pm-docs-green.svg?style=flat)][hexdocs]","ref":"readme.html","title":"Significa Elixir Utils","type":"extras"},{"doc":"[Available in Hex][hexpm], the package can be installed\nby adding `significa_utils` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    # Check the releases page for the desired version (and use sigils accordingly, ex: \"~>\").\n    {:significa_utils, \">= 0.0.1\"}\n  ]\nend\n```\n\nDocumentation can be found in [HexDocs][hexdocs].","ref":"readme.html#installation","title":"Installation - Significa Elixir Utils","type":"extras"},{"doc":"- Reusable `credo` config. \n\n  Create an alias in `mix.exs`\n\n  ```elixir\n    defp aliases do\n    [\n      credo: [\"credo --config-file deps/significa_utils/.credo.exs\"]\n    ]\n  end\n\n  ```\n\n  and run `mix credo` to use the credo config from significa_utils\n\n[hexpm]: https://hex.pm/packages/significa_utils\n[hexdocs]: https://hexdocs.pm/significa_utils","ref":"readme.html#contents","title":"Contents - Significa Elixir Utils","type":"extras"}],"producer":{"name":"ex_doc","version":"0.37.3"},"proglang":"elixir"}